Bug 1021042 - repo/.openshift/action_hooks/README.md should point to the right place
repo/.openshift/action_hooks/README.md should point to the right place
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Keck
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 16:30 EDT by Nam Duong
Modified: 2015-05-14 19:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:21:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-10-18 16:30:09 EDT
Description of problem:
When I'm onboarding my app, and need to create an action_hook, the README.md points me to:
https://github.com/openshift/origin-server/blob/master/node/README.writing_applications.md#action-hooks  

Then I have to click again to:
http://openshift.github.io/documentation/oo_user_guide.html

Then search the user guide for action hook details.  


Please use this link:
http://openshift.github.io/documentation/oo_user_guide.html#action-hooks
Comment 1 Hiro Asari 2013-10-28 09:15:39 EDT
This should already be fixed on devenv.

Existing apps don't get the update, but I'm not convinced that we'd need a migration for them.

========================================
$ bx bin/rhc app create node nodejs-0.10
Application Options
-------------------
  Domain:     fooooooooooo
  Cartridges: nodejs-0.10
  Gear Size:  default
  Scaling:    no

Creating application 'node' ... done
⋮
⋮

$ cat node/.openshift/action_hooks/README.md
For information about action hooks supported by OpenShift, consult the documentation:

https://github.com/openshift/origin-server/tree/master/node/README.writing_applications.md#action-hooks
Comment 2 Hiro Asari 2013-10-28 09:18:39 EDT
I also checked other default cartridges, and none of them refers to README.writing_applications.md.
Comment 3 Jhon Honce 2013-10-28 10:52:31 EDT
The correct link should be http://openshift.github.io/documentation/oo_user_guide.html#the-openshift-directory
Comment 5 openshift-github-bot 2013-10-28 13:18:05 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fad3191f8b59ec0fe452fef0701caf9a00e7fc26
Bug 1021042

Fix default app README to point to the correct action hooks
documentation URL.
Comment 6 Meng Bo 2013-10-29 02:17:44 EDT
Checked on devenv_3959, all the cartridges readme file for action_hooks is pointing to the correct url expect zend-5.6.

Will zend cartridge be fixed as well?


root@openshift-ubuntu:~/openshiftest/perl1/.openshift/action_hooks# cat README.md 
For information about action hooks supported by OpenShift, consult the documentation:

http://openshift.github.io/documentation/oo_user_guide.html#the-openshift-directory



root@openshift-ubuntu:~/openshiftest/zend/.openshift/action_hooks# cat README 
For information about which action hooks are supported, consult the OpenShift documentation:

https://github.com/openshift/origin-server/blob/master/node/README.writing_applications.md
Comment 7 Hiro Asari 2013-10-29 09:42:30 EDT
https://github.com/openshift/li/pull/2053
Comment 8 openshift-github-bot 2013-10-29 11:07:42 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/0da4a8d81ef987251cf809c2f575878a70abf551
Bug 1021042

Fix default app README to point to the correct action hooks
documentation URL.
Comment 9 Meng Bo 2013-10-30 01:49:13 EDT
[root@localhost action_hooks]# cat README 
For information about which action hooks are supported, consult the OpenShift documentation:

http://openshift.github.io/documentation/oo_user_guide.html#the-openshift-directory


Issue fixed for zend cartridge.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.